CAFFEINATE(8)

NAME
caffeinate - prevent the system from sleeping on behalf of a utility

SYNOPSIS
caffeinate [-disu] [-t timeout] [utility] [argument ...]

DESCRIPTION
caffeinate creates assertions to alter system sleep behavior. If no assertion flags are specified, caffeinate creates an assertion to prevent idle sleep. If a utility is specified, caffeinate creates the assertions on the utility's behalf, and those assertions will persist for the duration of the utility's execution. Otherwise, caffeinate creates the assertions directly, and those assertions will persist until caffeinate exits.

Available options:

-d  Create an assertion to prevent the display from sleeping.

-i  Create an assertion to prevent the system from idle sleeping.

-m  Create an assertion to prevent the disk from idle sleeping.

-s  Create an assertion to prevent the system from sleeping. This assertion is valid only when system is running on AC power.

-u  Create an assertion to declare that user is active. If the display is off, this option turns the display on and prevents the display from going into idle sleep. If a timeout is not specified with '-t' option, then this assertion is taken with a default of 5 second timeout.

-t  Specifies the timeout value in seconds for which this assertion has to be valid. The assertion is dropped after the specified timeout. Timeout value is not used when an utility is invoked with this command.

EXAMPLE
caffeinate -i make
caffeinate forks a process, execs "make" in it, and holds an assertion that prevents idle sleep as long as that process is running.

SEE ALSO
pmset(1)

LOCATION
/usr/bin/caffeinate